> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recommendation Received

> 1 credit per call.

```bash cURL theme={null}
curl --request GET \
	--url 'https://live-fetch.p.rapidapi.com/get-recommendations-received?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fajjames' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/get-recommendations-received"

querystring = {
    "linkedin_url": "https://www.linkedin.com/in/ajjames"
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript JavaScript theme={null}
const params = new URLSearchParams({
	linkedin_url: "https://www.linkedin.com/in/ajjames"
});

const url = `https://live-fetch.p.rapidapi.com/get-recommendations-received?${params}`;
const options = {
	method: 'GET',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
	}
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$query = http_build_query([
	'linkedin_url' => "https://www.linkedin.com/in/ajjames"
]);

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-recommendations-received" . "?" . $query,
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "GET",
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"net/url"
)

func main() {
	params := url.Values{}
	params.Add("linkedin_url", "https://www.linkedin.com/in/ajjames")

	req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-recommendations-received?"+params.Encode(), nil)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/get-recommendations-received?linkedin_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fajjames"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.method("GET", HttpRequest.BodyPublishers.noBody())
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml GET /get-recommendations-received
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-recommendations-received:
    get:
      description: 1 credit per call.
      parameters:
        - name: linkedin_url
          in: query
          required: true
          description: ''
          schema:
            type: string
            example: https://www.linkedin.com/in/ajjames
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        profile_url:
                          type: string
                          example: https://www.linkedin.com/in/davecranedubai/
                        text:
                          type: string
                          example: >-
                            Anthony is one of the sharpest minds on LinkedIn.


                            More than that, he’s one of my most valued
                            connections.

                            And a true friend.


                            It’s rare to find someone who is both a powerhouse
                            in business and genuinely down-to-earth. 

                            But Anthony makes it look effortless.


                            🔹 Honest

                            🤝 Transparent

                            💡 Always willing to help


                            His work in tech? World-class. 

                            That’s why top brands hustle to get his attention.


                            While many big names stay distant, Anthony is the
                            opposite—empathetic, approachable, and always open.


                            In short:

                            📡 Follow him for cutting-edge tech insights.

                            🎓 Reach out for his deep expertise.

                            💼 Work with him without hesitation. 


                            He’s one of the good guys.


                            4 million followers know it.

                            So do I.


                            So will you too.
                  message:
                    type: string
                    example: ok
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.